summaryrefslogtreecommitdiff
path: root/dev-python/sphinxcontrib-httpdomain
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-python/sphinxcontrib-httpdomain
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-python/sphinxcontrib-httpdomain')
-rw-r--r--dev-python/sphinxcontrib-httpdomain/Manifest2
-rw-r--r--dev-python/sphinxcontrib-httpdomain/metadata.xml13
-rw-r--r--dev-python/sphinxcontrib-httpdomain/sphinxcontrib-httpdomain-1.5.0.ebuild27
-rw-r--r--dev-python/sphinxcontrib-httpdomain/sphinxcontrib-httpdomain-1.7.0.ebuild34
4 files changed, 76 insertions, 0 deletions
diff --git a/dev-python/sphinxcontrib-httpdomain/Manifest b/dev-python/sphinxcontrib-httpdomain/Manifest
new file mode 100644
index 000000000000..e58f3dc8305a
--- /dev/null
+++ b/dev-python/sphinxcontrib-httpdomain/Manifest
@@ -0,0 +1,2 @@
+DIST sphinxcontrib-httpdomain-1.5.0.tar.gz 13981 BLAKE2B ca08a5cdc22d9898c6972ce8b7585fc4f185e3a0c8e49302bfafbfc88b4bb69d9d3deaf15cca2dfcd2f218199f509023aeb542129fea2003cecb2e8ef8215fd4 SHA512 e393690314cb7a7b81207ee42826eb5360ca6cfa8ad1b57c9a8dd5897ed1ed97bad4a46d8348aad9d5f6b6145e5456af629b14973ad2561d5b90b2f8dbf2163a
+DIST sphinxcontrib-httpdomain-1.7.0.tar.gz 37493 BLAKE2B e34682029ed2f59cb8c70b2a5270a2f89c4cb08179fdf3a53c65f1ad23eebba71bff5385b5d3fd971a6e3341457b253e4187632a8bf856ca208843938bbde056 SHA512 8c6e40dfaa29a552164078fbc96de578b2aac269cb0ce5e228293a85f87c4db4ef8c902868caccaca709df938d4e3917cc77b3da9bd889b9c6f8c6fa242dcc0d
diff --git a/dev-python/sphinxcontrib-httpdomain/metadata.xml b/dev-python/sphinxcontrib-httpdomain/metadata.xml
new file mode 100644
index 000000000000..28ff8a60ac0a
--- /dev/null
+++ b/dev-python/sphinxcontrib-httpdomain/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="pypi">sphinxcontrib-httpdomain</remote-id>
+ <remote-id type="bitbucket">birkenfeld/sphinx-contrib</remote-id>
+ </upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>
diff --git a/dev-python/sphinxcontrib-httpdomain/sphinxcontrib-httpdomain-1.5.0.ebuild b/dev-python/sphinxcontrib-httpdomain/sphinxcontrib-httpdomain-1.5.0.ebuild
new file mode 100644
index 000000000000..df99960518b9
--- /dev/null
+++ b/dev-python/sphinxcontrib-httpdomain/sphinxcontrib-httpdomain-1.5.0.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python{3_6,3_7} )
+
+inherit distutils-r1
+
+DESCRIPTION="Extension providing a Sphinx domain for describing RESTful HTTP APIs"
+HOMEPAGE="https://bitbucket.org/birkenfeld/sphinx-contrib/
+ https://sphinxcontrib-httpdomain.readthedocs.io/en/stable/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="amd64 ~arm64 x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="dev-python/sphinx[${PYTHON_USEDEP}]
+ dev-python/namespace-sphinxcontrib[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]"
+
+python_install_all() {
+ distutils-r1_python_install_all
+ find "${ED}" -name '*.pth' -delete || die
+}
diff --git a/dev-python/sphinxcontrib-httpdomain/sphinxcontrib-httpdomain-1.7.0.ebuild b/dev-python/sphinxcontrib-httpdomain/sphinxcontrib-httpdomain-1.7.0.ebuild
new file mode 100644
index 000000000000..9fc457a4847a
--- /dev/null
+++ b/dev-python/sphinxcontrib-httpdomain/sphinxcontrib-httpdomain-1.7.0.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8} )
+
+inherit distutils-r1
+
+DESCRIPTION="Extension providing a Sphinx domain for describing RESTful HTTP APIs"
+HOMEPAGE="https://github.com/sphinx-contrib/httpdomain
+ https://sphinxcontrib-httpdomain.readthedocs.io/"
+SRC_URI="https://github.com/sphinx-contrib/httpdomain/archive/${PV}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/${PN#sphinxcontrib-}-${PV}"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ dev-python/sphinx[${PYTHON_USEDEP}]
+ dev-python/namespace-sphinxcontrib[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/bottle[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_tests pytest
+
+python_install_all() {
+ distutils-r1_python_install_all
+ find "${ED}" -name '*.pth' -delete || die
+}